Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.junit4
Class BaseCoreFunctionalTestCase.RollbackWork

    java.lang.Object
      org.hibernate.testing.junit4.BaseCoreFunctionalTestCase.RollbackWork

All Implemented Interfaces:
  Work

Enclosing class:
  BaseCoreFunctionalTestCase

    public class BaseCoreFunctionalTestCase.RollbackWork

extends Object
implements Work

Constructor Summary
`BaseCoreFunctionalTestCase.RollbackWork()`

Method Summary
`void` | `execute(Connection connection)` Execute the discrete work encapsulated by this work instance using the supplied connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseCoreFunctionalTestCase.RollbackWork

    public BaseCoreFunctionalTestCase.RollbackWork()

Method Detail

### execute

    public void execute(Connection connection)
                 throws SQLException

  Description copied from interface: `Work`
  Execute the discrete work encapsulated by this work instance using the supplied connection.

  Specified by:
    `execute` in interface `Work`
  Parameters:
    `connection` - The connection on which to perform the work.
  Throws:
    `SQLException` - Thrown during execution of the underlying JDBC interaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.